package Source::Package::Tarball::NodeJS;

use strict;
use warnings;

use Source::Package::Tarball;
our @ISA=qw/Source::Package::Tarball/;

our $VERSION=0.001;

our $verbose;

sub trim_package_version {
    my $class=shift;
    return &_nodejs_trim_version;
}

sub _nodejs_trim_version {
    my ($ver,$module)=@_;

    # prerelease; TODO: read documentation
    # nodejs release handler
    #print STDERR "1:ver=$ver\n";
    $ver=~s/-\D+$//;
    #print STDERR "2:ver=$ver\n";
    $ver=~s/(-\d+)\D+$/$1/;
    #print STDERR "3:ver=$ver\n";
    $ver=~s/-/_/g;

    return $ver;
}



1;
